import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRChannelClusterPageTokenStruct extends _NSObject {
    static alloc(): _MTRChannelClusterPageTokenStruct;
    static new(): _MTRChannelClusterPageTokenStruct;
    init(): _MTRChannelClusterPageTokenStruct;
    limit(): _NSNumber | null;
    setLimit$(value: _NSNumber | null): void;
    after(): _NSString | null;
    setAfter$(value: _NSString | null): void;
    before(): _NSString | null;
    setBefore$(value: _NSString | null): void;
}
export interface _MTRChannelClusterPageTokenStruct extends _NSCopying {
}
